//
//  BXLView_PrinterLookup_iPad.h
//  BxlPosDemo
//
//  Created by savin son on 12/15/11.
//  Copyright (c) 2011 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "BXPrinterController.h"


@interface UIViewController_PrinterLookup : UIViewController
{    
    NSLock				*_lock;
	NSMutableArray		*_printersArrayWifi;
	NSMutableArray		*_printersArrayEthernet;
	NSMutableArray		*_printersArrayBt;
    
    NSString            *strTrack1, *strTrack2, *strTrack3;
    
    id                  _posViewId;    
    int                 _posPrinterRefresh;
}


@property (retain)	IBOutlet UILabel        *uiLabel_Version;
@property (retain)	IBOutlet UISwitch        *uiSwitch_AutoConnection;

@property(nonatomic, retain)    id          parent;
@property(nonatomic, retain)    BXPrinter   *selectPrinter;





/* 초기화 및 릴리즈 메소드들 */
- (void)initAllObject;
- (void)releseAllObject;
- (void)initTableObject;
- (void)releseTableObject;


/**/
- (void) setCallerID:(id)_id;


/**/
//-(void)didFindPrinter:(BXPrinter *)printer;
- (void)addPrinterList:(BXPrinter *)printer;
- (void)clearPrinterList;
- (void) didConnect;
@end
