//
//  UIViewController_PrintText.m
//  ZebraExam
//
//  Created by savin son on 3/16/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import "UIViewController_PrintText.h"

#import "AppDelegate.h"

@implementation UIViewController_PrintText
@synthesize parent;
@synthesize uiBtnAlign, uiBtnFontAB, uiBtnTextAttribute, uiBtnEtc_NextPos, uiBtnFontSize_W_H, uiBtnFontSize_Width, uiBtnFontSize_Height, uiBtnTextEncoding_Box, uiBtnTextEncoding_Accent, uiBtnTextEncoding_DoubleByteFont;
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
        
        self.title = @"Text";
    }
    return self;
}

- (void)didReceiveMemoryWarning
{
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle

- (void)viewDidLoad
{
    [super viewDidLoad];
    // Do any additional setup after loading the view from its nib.
}

- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
    return ((interfaceOrientation == UIInterfaceOrientationLandscapeLeft) ||  (interfaceOrientation == UIInterfaceOrientationLandscapeRight));
}
- (IBAction)buttonUp_TextAlign:(UIButton *)button
{
    BXPrinterController*    printerController = [parent getPrinterController];
// 
//    if([printerController isConnected] == NO)
//       [printerController connect];
    
    //UIDevice    *device = [UIDevice currentDevice];
    
    printerController.alignment = BXL_ALIGNMENT_LEFT;
    [printerController printText:@"This is Text Align Test - Left\r\n\r\n\r\n"];
    printerController.alignment = BXL_ALIGNMENT_CENTER;
    [printerController printText:@"This is Text Align Test - Center\r\n\r\n\r\n"];
    printerController.alignment = BXL_ALIGNMENT_RIGHT;
    [printerController printText:@"This is Text Align Test - Right\r\n\r\n\r\n"];
    
    
    printerController.alignment = BXL_ALIGNMENT_LEFT;
    
}
- (IBAction)buttonUp_FontABTest:(UIButton *)button
{
    
    BXPrinterController*    printerController = [parent getPrinterController];

    //  Default Font : Left align, font A, Not Bold, Not Reverse, No UnderLine
    printerController.attribute = BXL_FT_DEFAULT;
    [printerController printText:@"This is Font A Test. \r\n"];
    
    //  Font B Test
    printerController.attribute = BXL_FT_FONTB;
    [printerController printText:@"This is Font B Test. \r\n"];
    
    //  Font C Test
    printerController.attribute = BXL_FT_FONTC;
    [printerController printText:@"This is Font C Test. \r\n"];
    
    printerController.attribute = BXL_FT_DEFAULT;
    
}
- (IBAction)buttonUp_TextAttribute:(UIButton *)button
{
    BXPrinterController*    printerController = [parent getPrinterController];
    
    //  Italic Test
    printerController.attribute = BXL_FT_BOLD;
    [printerController printText:@"This is Font  BOLD Test. \r\n"];
    
    //  Font B Test
    printerController.attribute = BXL_FT_REVERSE;
    [printerController printText:@"This is reversed font Test. \r\n"];
    
    //  Font C Test
    printerController.attribute = BXL_FT_UNDERLINE;
    [printerController printText:@"This is Underlined font Test. \r\n"];
    
    printerController.attribute = BXL_FT_DEFAULT;
    
}

- (IBAction)buttonUp_FontSize_Width:(UIButton *)button
{
    
    BXPrinterController*    printerController = [parent getPrinterController];
    
    printerController.textSize = BXL_TS_0WIDTH;
    [printerController printText:@"This is FontSize Test - Width 0\r\n"];
    
    printerController.textSize = BXL_TS_1WIDTH;
    [printerController printText:@"This is FontSize Test - Width 1\r\n"];
    
    printerController.textSize = BXL_TS_2WIDTH;
    [printerController printText:@"This is FontSize Test - Width 2\r\n"];
    
    printerController.textSize = BXL_TS_3WIDTH;
    [printerController printText:@"This is FontSize Test - Width 3\r\n"];
    
    printerController.textSize = BXL_TS_4WIDTH;
    [printerController printText:@"This is FontSize Test - Width 4\r\n"];
    
    printerController.textSize = BXL_TS_5WIDTH;
    [printerController printText:@"This is FontSize Test - Width 5\r\n"];
    
    printerController.textSize = BXL_TS_6WIDTH;
    [printerController printText:@"This is FontSize Test - Width 6\r\n"];
    
    printerController.textSize = BXL_TS_7WIDTH;
    [printerController printText:@"This is FontSize Test - Width 7\r\n"];
    
    printerController.textSize  = BXL_TS_0WIDTH | BXL_TS_0HEIGHT;
    
}
- (IBAction)buttonUp_FontSize_Height:(UIButton *)button
{
    BXPrinterController*    printerController = [parent getPrinterController];
    
    printerController.textSize = BXL_TS_0HEIGHT;
    [printerController printText:@"This is FontSize Test - Height 0\r\n"];
    
    printerController.textSize = BXL_TS_1HEIGHT;
    [printerController printText:@"This is FontSize Test - Height 1\r\n"];
    
    printerController.textSize = BXL_TS_2HEIGHT;
    [printerController printText:@"This is FontSize Test - Height 2\r\n"];
    
    printerController.textSize = BXL_TS_3HEIGHT;
    [printerController printText:@"This is FontSize Test - Height 3\r\n"];
    
    printerController.textSize = BXL_TS_4HEIGHT;
    [printerController printText:@"This is FontSize Test - Height 4\r\n"];
    
    printerController.textSize = BXL_TS_5HEIGHT;
    [printerController printText:@"This is FontSize Test - Height 5\r\n"];
    
    printerController.textSize = BXL_TS_6HEIGHT;
    [printerController printText:@"This is FontSize Test - Height 6\r\n"];
    
    printerController.textSize = BXL_TS_7HEIGHT;
    [printerController printText:@"This is FontSize Test - Height 7\r\n"];
    
    printerController.textSize  = BXL_TS_0WIDTH | BXL_TS_0HEIGHT;
}
- (IBAction)buttonUp_FontSize_W_H:(UIButton *)button
{
    BXPrinterController*    printerController = [parent getPrinterController];
    
    /* Width 1 Height X */
    printerController.textSize = BXL_TS_1WIDTH|BXL_TS_1HEIGHT;
    [printerController printText:@"Width:1 / Height 1\r\n"];
    
    printerController.textSize = BXL_TS_1WIDTH|BXL_TS_2HEIGHT;
    [printerController printText:@"Width:1 / Height 2\r\n"];
    
    printerController.textSize = BXL_TS_1WIDTH|BXL_TS_3HEIGHT;
    [printerController printText:@"Width:1 / Height 3\r\n"];
    
    printerController.textSize = BXL_TS_1WIDTH|BXL_TS_4HEIGHT;
    [printerController printText:@"Width:1 / Height 4\r\n"];
    
    printerController.textSize = BXL_TS_1WIDTH|BXL_TS_5HEIGHT;
    [printerController printText:@"Width:1 / Height 5\r\n"];
    
    printerController.textSize = BXL_TS_1WIDTH|BXL_TS_6HEIGHT;
    [printerController printText:@"Width:1 / Height 6\r\n"];
    
    printerController.textSize = BXL_TS_1WIDTH|BXL_TS_7HEIGHT;
    [printerController printText:@"Width:1 / Height 7\r\n"];
    
    
    
    /* Width 2 Height X */
    printerController.textSize = BXL_TS_2WIDTH|BXL_TS_1HEIGHT;
    [printerController printText:@"Width:2 / Height 1\r\n"];
    
    printerController.textSize = BXL_TS_2WIDTH|BXL_TS_2HEIGHT;
    [printerController printText:@"Width:2 / Height 2\r\n"];
    
    printerController.textSize = BXL_TS_2WIDTH|BXL_TS_3HEIGHT;
    [printerController printText:@"Width:2 / Height 3\r\n"];
    
    printerController.textSize = BXL_TS_2WIDTH|BXL_TS_4HEIGHT;
    [printerController printText:@"Width:2 / Height 4\r\n"];
    
    printerController.textSize = BXL_TS_2WIDTH|BXL_TS_5HEIGHT;
    [printerController printText:@"Width:2 / Height 5\r\n"];
    
    printerController.textSize = BXL_TS_2WIDTH|BXL_TS_6HEIGHT;
    [printerController printText:@"Width:2 / Height 6\r\n"];
    
    printerController.textSize = BXL_TS_2WIDTH|BXL_TS_7HEIGHT;
    [printerController printText:@"Width:2 / Height 7\r\n"];
    
    
    
    /* Width 3 Height X */
    printerController.textSize = BXL_TS_3WIDTH|BXL_TS_1HEIGHT;
    [printerController printText:@"Width:3 / Height 1\r\n"];
    
    printerController.textSize = BXL_TS_3WIDTH|BXL_TS_2HEIGHT;
    [printerController printText:@"Width:3 / Height 2\r\n"];
    
    printerController.textSize = BXL_TS_3WIDTH|BXL_TS_3HEIGHT;
    [printerController printText:@"Width:3 / Height 3\r\n"];
    
    printerController.textSize = BXL_TS_3WIDTH|BXL_TS_4HEIGHT;
    [printerController printText:@"Width:3 / Height 4\r\n"];
    
    printerController.textSize = BXL_TS_3WIDTH|BXL_TS_5HEIGHT;
    [printerController printText:@"Width:3 / Height 5\r\n"];
    
    printerController.textSize = BXL_TS_3WIDTH|BXL_TS_6HEIGHT;
    [printerController printText:@"Width:3 / Height 6\r\n"];
    
    printerController.textSize = BXL_TS_3WIDTH|BXL_TS_7HEIGHT;
    [printerController printText:@"Width:3 / Height 7\r\n"];
    
    
    
    /* Width 4 Height X */
    printerController.textSize = BXL_TS_4WIDTH|BXL_TS_1HEIGHT;
    [printerController printText:@"Width:4 / Height 1\r\n"];
    
    printerController.textSize = BXL_TS_4WIDTH|BXL_TS_2HEIGHT;
    [printerController printText:@"Width:4 / Height 2\r\n"];
    
    printerController.textSize = BXL_TS_4WIDTH|BXL_TS_3HEIGHT;
    [printerController printText:@"Width:4 / Height 3\r\n"];
    
    printerController.textSize = BXL_TS_4WIDTH|BXL_TS_4HEIGHT;
    [printerController printText:@"Width:4 / Height 4\r\n"];
    
    printerController.textSize = BXL_TS_4WIDTH|BXL_TS_5HEIGHT;
    [printerController printText:@"Width:4 / Height 5\r\n"];
    
    printerController.textSize = BXL_TS_4WIDTH|BXL_TS_6HEIGHT;
    [printerController printText:@"Width:4 / Height 6\r\n"];
    
    printerController.textSize = BXL_TS_4WIDTH|BXL_TS_7HEIGHT;
    [printerController printText:@"Width:4 / Height 7\r\n"];
    
    
    
    /* Width 5 Height X */
    printerController.textSize = BXL_TS_5WIDTH|BXL_TS_1HEIGHT;
    [printerController printText:@"Width:5 / Height 1\r\n"];
    
    printerController.textSize = BXL_TS_5WIDTH|BXL_TS_2HEIGHT;
    [printerController printText:@"Width:5 / Height 2\r\n"];
    
    printerController.textSize = BXL_TS_5WIDTH|BXL_TS_3HEIGHT;
    [printerController printText:@"Width:5 / Height 3\r\n"];
    
    printerController.textSize = BXL_TS_5WIDTH|BXL_TS_4HEIGHT;
    [printerController printText:@"Width:5 / Height 4\r\n"];
    
    printerController.textSize = BXL_TS_5WIDTH|BXL_TS_5HEIGHT;
    [printerController printText:@"Width:5 / Height 5\r\n"];
    
    printerController.textSize = BXL_TS_5WIDTH|BXL_TS_6HEIGHT;
    [printerController printText:@"Width:5 / Height 6\r\n"];
    
    printerController.textSize = BXL_TS_5WIDTH|BXL_TS_7HEIGHT;
    [printerController printText:@"Width:5 / Height 7\r\n"];
    
    
    
    /* Width 6 Height X */
    printerController.textSize = BXL_TS_6WIDTH|BXL_TS_1HEIGHT;
    [printerController printText:@"Width:6 / Height 1\r\n"];
    
    printerController.textSize = BXL_TS_6WIDTH|BXL_TS_2HEIGHT;
    [printerController printText:@"Width:6 / Height 2\r\n"];
    
    printerController.textSize = BXL_TS_6WIDTH|BXL_TS_3HEIGHT;
    [printerController printText:@"Width:6 / Height 3\r\n"];
    
    printerController.textSize = BXL_TS_6WIDTH|BXL_TS_4HEIGHT;
    [printerController printText:@"Width:6 / Height 4\r\n"];
    
    printerController.textSize = BXL_TS_6WIDTH|BXL_TS_5HEIGHT;
    [printerController printText:@"Width:6 / Height 5\r\n"];
    
    printerController.textSize = BXL_TS_6WIDTH|BXL_TS_6HEIGHT;
    [printerController printText:@"Width:6 / Height 6\r\n"];
    
    printerController.textSize = BXL_TS_6WIDTH|BXL_TS_7HEIGHT;
    [printerController printText:@"Width:6 / Height 7\r\n"];
    
    
    
    /* Width 7 Height X */
    printerController.textSize = BXL_TS_7WIDTH|BXL_TS_1HEIGHT;
    [printerController printText:@"Width:7 / Height 1\r\n"];
    
    printerController.textSize = BXL_TS_7WIDTH|BXL_TS_2HEIGHT;
    [printerController printText:@"Width:7 / Height 2\r\n"];
    
    printerController.textSize = BXL_TS_7WIDTH|BXL_TS_3HEIGHT;
    [printerController printText:@"Width:7 / Height 3\r\n"];
    
    printerController.textSize = BXL_TS_7WIDTH|BXL_TS_4HEIGHT;
    [printerController printText:@"Width:7 / Height 4\r\n"];
    
    printerController.textSize = BXL_TS_7WIDTH|BXL_TS_5HEIGHT;
    [printerController printText:@"Width:7 / Height 5\r\n"];
    
    printerController.textSize = BXL_TS_7WIDTH|BXL_TS_6HEIGHT;
    [printerController printText:@"Width:7 / Height 6\r\n"];
    
    printerController.textSize = BXL_TS_6WIDTH|BXL_TS_7HEIGHT;
    [printerController printText:@"Width:7 / Height 7\r\n"];
    
    
    
    printerController.textSize  = BXL_TS_0WIDTH | BXL_TS_0HEIGHT;
    
}

- (IBAction)buttonUp_TextEncoding_BoxText:(UIButton *)button
{
    
    BXPrinterController*    printerController = [parent getPrinterController];
    
    /////////////////////////////////////////////////////////////////////////////////////////
    //  BoxText 
    printerController.attribute = BXL_FT_DEFAULT;
    printerController.textSize  = BXL_TS_0WIDTH | BXL_TS_0HEIGHT;
    
    printerController.alignment = BXL_ALIGNMENT_LEFT;
    [printerController printBox:30 height:3];
    
    printerController.alignment = BXL_ALIGNMENT_CENTER;
    [printerController printBox:30 height:3];
    
    printerController.alignment = BXL_ALIGNMENT_RIGHT;
    [printerController printBox:30 height:3];
    
    
    printerController.alignment = BXL_ALIGNMENT_LEFT;
    [printerController printBox:30 height:5];
    
    printerController.alignment = BXL_ALIGNMENT_CENTER;
    [printerController printBox:30 height:5];
    
    printerController.alignment = BXL_ALIGNMENT_RIGHT;
    [printerController printBox:30 height:5];
    
    printerController.alignment = BXL_ALIGNMENT_LEFT;
    printerController.attribute = BXL_FT_DEFAULT;
    
    

}
- (IBAction)buttonUp_TextEncoding_Accent:(UIButton *)button
{
    BXPrinterController*    printerController = [parent getPrinterController];
    
    printerController.textEncoding = 0x0C;     //Español Encoding
    printerController.characterSet = 16;       //WPC 1252 charaterset
    [printerController printText:@"Default\r\n"];   
    [printerController printText:@"AÀáàâäæãå\r\nSŠšß\r\nEèéêë\r\nŸÿyûüùú\r\nÎîïíìôöòóœøõ\r\nÑñç\r\n"];
    [printerController printText:@"abcdefghijklmn\r\n"];
    [printerController printText:@"￥123$#@%^&*)#($*%(\r\n"];
    [printerController printText:@"=================================\r\n\r\n"];
    
}
- (IBAction)buttonUp_TextEncoding_DoubleByteFont:(UIButton *)button
{
    
    /* 더블 바이트 폰트는 프린터에 폰트가 다운로드 되어있는 경우에 정상적으로 출력됩니다. */
    BXPrinterController*    printerController = [parent getPrinterController];
    
    printerController.textEncoding = BXL_TEXTENCODING_KSC5601;
    [printerController printText:@"가나다라마바사아자차카타파하\r\n"];
    
    printerController.textEncoding = BXL_TEXTENCODING_SHIFT_JIS;
    [printerController printText:@"あいうえおかきくけこさしすせそ\r\n"];
    
    printerController.textEncoding = BXL_TEXTENCODING_BIG5;
    [printerController printText:@" 我們在韓國時時為您加油.\r\n"];
    
    printerController.textEncoding = BXL_TEXTENCODING_GB18030;
    [printerController printText:@" 我們在韓國時時為您加油.\r\n"];
    
    printerController.textEncoding = BXL_TEXTENCODING_GB2312;
    [printerController printText:@" 您我们在韩国时时为您加油.\r\n"];
    
   
}

- (IBAction)buttonUp_Etc_NextPos:(UIButton *)button
{
    BXPrinterController*    printerController = [parent getPrinterController];
    
    [printerController nextPrintPos];
    
}@end
