//
//  AppDelegate.h
//  ZebraExam
//
//  Created by savin son on 3/19/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>

#import "BXPrinterController.h"
#import "BXBarcodeInfo.h"
#import "UIViewController_PrinterLookup.h"
#import "UIViewController_PrintText.h"
#import "UIViewController_Msr.h"
#import "UIViewController_Img_barcode.h"

@interface AppDelegate : UIResponder <UIApplicationDelegate, UITabBarControllerDelegate, BXPrinterControlDelegate>
{
    
    id      _didFindDelegate;
    id      _msrDelegate;
    
}

@property (strong, nonatomic) UIWindow *window;
@property (strong, nonatomic) UITabBarController *tabBarController;




@property(nonatomic, retain)   	BXPrinterController	*printerController;
@property(retain) UIViewController_PrinterLookup    *uiView_Lookup;
@property(retain) UIViewController_PrintText        *uiView_PrintText;
@property(retain) UIViewController_Msr              *uiView_Msr;

@property(retain) UIViewController_Img_barcode          *uiView_ImgBarcode;

- (void)initPrinterController;
- (void)releasePrinterController;

- (void)refreshPrinterList:(id)delegate;

- (long)msrReadStart:(id)delegate;
- (void)msrReadEnd;

- (BXPrinterController*) getPrinterController;



@end
