//
//  UIViewController_Msr.m
//  
//
//  Created by savin son on 3/19/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import "AppDelegate.h"
#import "UIViewController_Msr.h"

@implementation UIViewController_Msr

@synthesize parent;
@synthesize uiTextField_Track1, uiTextField_Track2, uiTextField_Track3, uiBtnMsr;



- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
        self.title = NSLocalizedString(@"Msr", @"Msr");
    }
    return self;
}

- (void)didReceiveMemoryWarning
{
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle

- (void)viewDidLoad
{
    [super viewDidLoad];
    // Do any additional setup after loading the view from its nib.
}

- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
    return ((interfaceOrientation == UIInterfaceOrientationLandscapeLeft) ||  (interfaceOrientation == UIInterfaceOrientationLandscapeRight));
}

- (void) didMsrEnd
{
    [uiBtnMsr setTitle:@"MSR Read Ready" forState:UIControlStateNormal];
    
}

- (void) didMsrDataIn:(BXPrinterController*)printer
                track:(NSNumber*)track
{
    NSLog(@"msrArrived:track:");
	NSLog(@"TRACK:%d", [track intValue]);
	
	NSData	*data;
	
	if( [track intValue] & BXL_MSG_TRACK1 )
	{
		
		if( BXL_SUCCESS == [printer msrGetTrack:BXL_MSG_TRACK1 response:&data] )
		{
            uiTextField_Track1.text = [NSString stringWithFormat:@"%s", data.bytes];
		}
	}
	
	if( [track intValue] & BXL_MSG_TRACK2 )
	{
		if( BXL_SUCCESS == [printer msrGetTrack:BXL_MSG_TRACK2 response:&data] )
		{
            uiTextField_Track2.text = [NSString stringWithFormat:@"%s", data.bytes];
		}
	}
	
	
	if( [track intValue] & BXL_MSG_TRACK3 )
	{
		if( BXL_SUCCESS == [printer msrGetTrack:BXL_MSG_TRACK3 response:&data])
		{
            uiTextField_Track3.text = [NSString stringWithFormat:@"%s", data.bytes];
		}
	}
	
 
    
}

- (IBAction)buttonUp_Msr:(UIButton *)button
{
    if([uiBtnMsr.titleLabel.text isEqualToString:@"MSR Read Ready"]){
        if([parent msrReadStart:self] == BXL_SUCCESS)
        {
            [uiBtnMsr setTitle:@"MSR Cancel" forState:UIControlStateNormal];
        }
        uiTextField_Track1.text = uiTextField_Track2.text = uiTextField_Track3.text = @"";
    }
    else{
        [parent msrReadEnd];        
    }
    
}
@end
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
